Skip to main content
POST
/
v1
/
tenant
/
shiftleft
/
iac
/
scan
Upload IaC
curl --request POST \
  --url https://{region}.api.plerion.com/v1/tenant/shiftleft/iac/scan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>' \
  --data '"<string>"'
{
  "data": "File uploaded successfully",
  "meta": {
    "organizationId": "ec17a309-6b0a-4911-8d1d-8a5aa0ac4742",
    "tenantId": "7934cf6d-fb34-4bda-adde-173a1fa30d9c",
    "scanId": "6ddde0c3-690a-aeb3-b237-9724b3e4403c",
    "artifactName": "my-iac.zip"
  }
}

Authorizations

Authorization
string
header
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Headers

Authorization
string
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Content-Type
string
required

application/zip

Query Parameters

artifactName
string
required

Name of the artifact being scanned (e.g. my-iac.zip)

Example:

"my-iac.zip"

Body

application/zip

The body is of type file.

Response

Accepted

data
string
meta
object